<?php
	


	include_once(__DIR__."/../../core.php");

	
	$idfattura = save($_GET['idintervento']);
	$idintervento = save($_GET['idintervento']);
	
	
	
	$query = "SELECT * FROM co_tipidocumento  LEFT JOIN co_documenti ON co_tipidocumento.id=co_documenti.idtipodocumento WHERE co_documenti.id='".$idintervento."'";
	$rs_parametri = $dbo->fetchArray($query);
	$ptype = $rs_parametri[0]['dir_pdf_attivita'];
	$nome_rapporto = $rs_parametri[0]['nome_rapporto'];
	
	
	
	// Lettura dati documento

	$query_fatt = "SELECT (SELECT oggetto_mail_attivita FROM co_tipidocumento WHERE id=idtipodocumento) AS mail_oggetto,
	(SELECT testo_mail_attivita FROM co_tipidocumento WHERE id=idtipodocumento) AS mail_testo,
	(SELECT path_archivio FROM co_tipidocumento WHERE id=idtipodocumento) AS path_archivio,(SELECT txt_suffisso FROM co_tipidocumento WHERE id=idtipodocumento) AS txt_suffisso,(SELECT dir_pdf FROM co_tipidocumento WHERE id=idtipodocumento) AS dir_pdf ,DATE_FORMAT(`data`, '%Y') AS anno, (SELECT descrizione FROM co_tipidocumento WHERE id=idtipodocumento) AS tipo_doc,numero, numero_esterno, idanagrafica, DATE_FORMAT(`data`, '%d/%m/%Y') AS data from co_documenti WHERE id=\"$idfattura\" ";
	
	$rs = $dbo->fetchArray( $query_fatt );
	$numero_pri=$rs[0]['numero'];
	$numero = "";
	( $rs[0]['numero_esterno'] != '' ) ? $numero=$rs[0]['numero_esterno'] : $numero=$rs[0]['numero'];
	$idanagrafica = $rs[0]['idanagrafica'];
	$data = $rs[0]['data'];
	$anno=$rs[0]['anno'];
//	$dir_pdf=$rs[0]['dir_pdf'];
	$txt_suffisso=$rs[0]['txt_suffisso'];
	$tipo_doc = $rs[0]['tipo_doc'];
	$path_archivio = $rs[0]['path_archivio'];
	
	
		
	$nome_modulo = "interventi_complessivo";
	$nome_modulo1 = "interventi_complessivo";
	
	//Mi ricavo l'email del cliente
	$q = "SELECT email ,ragione_sociale FROM an_anagrafiche WHERE idanagrafica='".$idanagrafica."'";
	$rs_ana = $dbo->fetchArray($q);
	$mail_destinatario = $rs_ana[0]['email'];
	$ragione_sociale = $rs_ana[0]['ragione_sociale'];
			
		
	// $file_pdf = sanitizeFilename($ragione_sociale."_".$tipo_doc.$txt_suffisso.$numero.".pdf");	
	
	$file_pdf = sanitizeFilename( $nome_rapporto ."-" . $idintervento ."-".$anno. ".pdf");
	
	$file_dir = $docroot.'/files/'.$nome_modulo.'/'.$file_pdf; 


	//creazione variabile oggetto
	$oggetto=$rs[0]['mail_oggetto'];
	$oggetto= str_replace( "%NUMS", $numero, $oggetto );	//sostituisco %NUMS con numero secondario
	$oggetto= str_replace( "%NUM", $numero_pri, $oggetto );	//sostituisco %NUM con numero principale
	$oggetto= str_replace( "%DATA", $data, $oggetto );  //sostituisco %DATA con data documento
	$oggetto= str_replace( "%SUFFISSO", $txt_suffisso, $oggetto );  //sostituisco %SUFFISSO con data SUFFISSO
	
	//creazione variabile CORPO DEL MESSAGGIO							
	$testo1=$rs[0]['mail_testo'];
	$testo1= str_replace( "%RAGIONESOCIALE", $ragione_sociale, $testo1 );	//sostituisco %RAGIONESOCIALE con ragioen sociale
	$testo1= str_replace( "%NUMS", $numero, $testo1 );	//sostituisco %NUMS con numero secondario
	$testo1= str_replace( "%NUM", $numero_pri, $testo1 );	//sostituisco %NUM con numero principale
	$testo1= str_replace( "%DATA", $data, $testo1 );  //sostituisco %DATA con data documento
	$testo1= str_replace( "%SUFFISSO", $txt_suffisso, $testo1 );  //sostituisco %SUFFISSO con data SUFFISSO
	
	
	
	$path_dir = $docroot."/files/".$nome_modulo."/";

	$path_dir = strtolower($path_dir);
	

	$id_record = $idfattura;
	$id_module = save($_GET['id_module']);
//	$ptype = $dir_pdf;


	if( !is_dir($path_dir) ){
		if( !mkdir($path_dir) ){
			$dir_ok = false;
			echo "<p align='center'><br/><br/>Errore nella creazione cartella archiviazione : $path_dir </p>\n";
			exit;
		}
	}
	
	$n_pages = 1;
	$orientation = 'P';
	$body_table_params ="style='width:210mm;'";
	$font_size = "10pt";


	
	if( @file_exists($docroot."/templates/".$ptype."/custom/pdfgen.".$ptype.".php") ){
		include( $docroot."/templates/".$ptype."/custom/pdfgen.".$ptype.".php" );
	}
	
	else{
		include( $docroot."/templates/".$ptype."/pdfgen.".$ptype.".php" );
	}
	

	include( $docroot."/templates/pdfgen_variables.php" );
	
	

	//	Completamento e output del report
	$report = str_replace( '$body$', $body, $report );
	$report = str_replace( '$footer$', $footer, $report );
	$report = str_replace( '$body_table_params$', $body_table_params, $report );
	$report = str_replace( '$font_size$', $font_size, $report );
	$report = str_replace( '$docroot$', $docroot, $report );



	//html
	$formato = get_var( 'Formato report' );
	( $formato == 'html' ) ? $html=true : $html=false;

		
	
	
	require_once( $docroot."/lib/spipu/html2pdf/html2pdf.class.php" );
	require_once( $docroot."/lib/spipu/html2pdf/_tcpdf_5.0.002/barcodes.php" );
	
	
	
	try
	{
		$html2pdf = new HTML2PDF($orientation, 'A4', 'it', true, 'UTF-8');
		$html2pdf->writeHTML($report, $html);
		$html2pdf->Output( $file_dir , 'F');
	
	}
	catch(HTML2PDF_exception $e) {
	    echo $e;
	    exit;
	}	


	if( !file_exists($file_dir) ){
		echo "<p align='center'><br/><br/>Errore nella creazione del file da allegare.</p>\n";
		exit;
	}


	echo "<script type=\"text/javascript\" charset=\"utf-8\" src=\"".$rootdir."/lib/ckeditor/ckeditor.js\"></script>\n";
//	echo "<script type=\"text/javascript\" charset=\"utf-8\" src=\"".$rootdir."/assets/js/ckeditor.js\"></script>\n";

	echo "<form id=\"send_email\" action=\"".$rootdir."/editor.php?id_module=$id_module&id_record=$id_record\" onsubmit=\"return check_submit()\" method=\"post\">\n";
	echo "	<input type='hidden' name='backto' value='record-edit'>\n";
	echo "	<input type='hidden' name='op' value='sendemail'>\n";
	echo "	<input type='hidden' name='id_record' value='".$id_record."'>\n";

	


	echo "	<div class='row form-group'>\n";
	echo "		<div class='col-md-2'>\n";
	echo "			<span><b>Destinatario:</b><span>";
	echo "		</div>\n";
	echo "		<div class='col-md-8'>\n";
	echo "			<input type=\"text\" name=\"destinatario\" id=\"destinatario\" maxlength=\"255\"  value=\"".$mail_destinatario."\" class=\"form-control\" />\n";
	echo "		</div>\n";
	echo "	</div>\n";	



	// oggetto
	echo "	<div class='row form-group'>\n";
	echo "		<div class='col-md-2'>\n";
	echo "			<span><b>Oggetto:</b><span>";
	echo "		</div>\n";
	echo "		<div class='col-md-8'>\n";
	echo "			<input type=\"text\" name=\"oggetto\" id=\"oggetto\" maxlength=\"255\"  value=\"".$oggetto."\" class=\"form-control\"  />\n";
	echo "		</div>\n";
	echo "	</div>\n";
	
	// allegato
	echo "	<div class='row form-group'>\n";
	echo "		<div class='col-md-2'>\n";
	echo "			<span><b>Allegato:</b><span>";
	echo "		</div>\n";
	echo "		<div class='col-md-8'>\n";
	echo "			<a href=\"$rootdir/files/$nome_modulo1/$file_pdf\" target=\"_blank\">$file_pdf</a><span>\n";
	echo "			<input type=\"hidden\" name=\"allegato\" id=\"allegato\" value=\"$docroot/files/$nome_modulo1/$file_pdf\" />\n";
	echo "		</div>\n";
	echo "	</div>\n";

	
	
	
	// destinatario
	echo "	<div class='row form-group'>\n";
	echo "		<div class='col-md-12'>\n";
	echo "			<textarea placeholder=\"\" class=\"form-control\" id=\"body\" name=\"body\">$testo1</textarea>\n";
	echo "		</div>\n";
	echo "	</div>\n";
	
	
	echo "	<button type='button' class='btn btn-primary pull-right' onclick=\"$('#send_email').submit();\"><i class=\"fa fa-envelope\"></i> Invia E-mail</button>\n";
	
	echo "</form>\n";
	echo "<div class='clearfix'></div>\n";
?>


<script type="text/javascript">
	
	function check_submit(){

		if( $('#destinatario').val()!='' && $('#oggetto').val()!='' ){

			if( confirm('inviare e-mail?') ) 
					return true;
			else 
					return false;

		} else {
			alert("impostare destinatario ed oggetto!");
			return false;
		}
	}
	


	$(document).ready(function(){

		// autocompletamento destinatario
		$(document).load("ajax_autocomplete.php?module=Anagrafiche&op=getemail&idanagrafica=<?php echo $idanagrafica ?>", function(response){
			$("#destinatario").autocomplete({source: response.split("|")});

		} );

	
		CKEDITOR.replace( 'body', {
			toolbar: [
				{ name: 'document', items: [ 'NewPage', 'Preview', '-', 'Templates' ] },	
				['Bold','Italic','Underline','Superscript','-','NumberedList','BulletedList','Outdent','Indent','Blockquote','-','Format',], 	// Defines toolbar group without name.
				
			]
		});
		

	});

	
</script>
